Bug 855103 - "Creating a new cluster" chapter of Installation Guide should refer to "KSM" chapter of Administration Guide
"Creating a new cluster" chapter of Installation Guide should refer to "KSM" ...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
Depends On:
  Show dependency treegraph
Reported: 2012-09-06 13:14 EDT by David Jaša
Modified: 2014-03-25 03:09 EDT (History)
6 users (show)

See Also:
Fixed In Version: Red_Hat_Enterprise_Virtualization-Installation_Guide-3.1-web-en-US-3.1.0-10.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.5 Build Filter: null Build Name: Build Date: 20-07-2012 14:00:28
Last Closed: 2012-12-04 12:26:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-09-06 13:14:20 EDT
Description of problem:
"Creating a new cluster" chapter of Installation Guide should refer to "KSM" chapter of Administration Guide
see bug 732464 (and cloned 831256), bug 854018, bug 854027 and bug 855018 for motivation of this change

Version-Release number of selected component (if applicable):
both 3.0 and 3.1 are affected

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Stephen Gordon 2012-09-06 13:47:56 EDT
Hi David,

Most of those bugs are NEW and not documentation related. What is the actual correlation here? I also do not see the KSM chapter in the Administration Guide that you suggest I should link to?

Comment 2 David Jaša 2012-09-10 04:51:40 EDT
Hi Steve, 

The KSM chapter is actually in RHEL Guide: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Administration_Guide/chap-KSM.html

The link in documentation would work as a workaround for the linked bugs because currently, KSM isn't enabled on the hosts neiter on installation, nor on vdsm startup, rendering all the "Memory Optimization" options useless without any actual trace that nothing happened.

This is also a reason why I'd like to get this to z-stream but unfortunately I don't have BZ permissions to set rhevm-3.0.z?.
Comment 3 Stephen Gordon 2012-09-27 13:24:52 EDT
I have been over all the related bugs and discussed with Simon and Andy. The main issue appears to be Bug # 854027 which appears at first glance to be at best a regression - at worst a pretty ugly omission. PM are making the appropriate requests to get that fixed in rhel-6.3.z.

I do not think a link to the RHEL Guide which discusses the internal workings of KSM in depth is appropriate for the RHEV documentation (with the likely exception of the tech ref). The intent in RHEV is to ensure that KSM can effectively be managed from the RHEV GUI, keeping users away from needing to play with the internals. As per comments in Bug # 854018 we can't support, and shouldn't be encouraging, users going into their hosts and changing the status of the KSM services in a way that conflicts with the settings in RHEVM. 

I understand that currently going in and changing the status of the KSM services seems like the only way to actually get it working correctly but the correct response to that is to escalate the appropriate bug(s) with engineering.

I do think it would be appropriate in the discussion of the memory opimization options to 'name drop' ksm so that admins can understand the correlation between these memory settings on the GUI and a more traditional RHEL virtualization setup but no more than that.
Comment 4 Stephen Gordon 2012-09-27 13:25:39 EDT
Simon can I get your opinion on what I have outlined in c#3 please?
Comment 5 Simon Grinberg 2012-09-27 13:30:13 EDT
(In reply to comment #4)
> Simon can I get your opinion on what I have outlined in c#3 please?

Yes, and then add a note like (Need to phrase carefully, since this feature should work.)
"For more information about memory optimization please refer to the following link about KSM the memory page sharing...."
Comment 6 Stephen Gordon 2012-09-27 15:04:44 EDT
Topic 7624, revision 292224.
Comment 8 Stephen Gordon 2012-09-28 14:30:17 EDT
Since making the edit I have decided it fits better in the concept (Clusters in Red Hat Enterprise Virtualization) than the task so some more work to do here.
Comment 10 Stephen Gordon 2012-10-01 13:43:59 EDT
Topic 8914 - Added admonition.
Topic 7624 - Removed admonition.

Note You need to log in before you can comment on or make changes to this bug.